include:
  - project: 'remyhealth/template/dotfiles'
    file: '/gitlab-ci/dotnet/.base-ci.yml'

variables:
  PROJECT_NAME: "dotnet-nuget"
  PROJECT_PREFIX: "DotnetNuget"
  PROJECT_VERSION: "1.0.0"

stages:
  - build
  - test
  - package
  - deploy

build:
  stage: build
  extends: .msbuild_template

test:
  stage: test
  extends: .nunit_test_template

package_sdk:
  stage: package
  extends: .msbuild_publish_sdk_template

deploy_nuget:
  stage: deploy
  extends: .msbuild_deploy_nuget_template